%define upstream_name	 Net-SNMP
%define upstream_version 6.0.0

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 11
Summary:    Object oriented interface to SNMP for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:	    http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-v%{upstream_version}.tar.gz
Buildrequires:	perl-devel
BuildRequires:  perl-Crypt-DES => 2.03
BuildRequires:  perl-Digest-HMAC => 1.0
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
Requires:	perl-Crypt-DES => 2.03
Requires:	perl-Digest-HMAC => 1.0
Requires:	perl-Digest-SHA1 => 1.02
Provides: 	perl(NetSNMP::agent)                                              
Provides: 	perl(NetSNMP::ASN)                                                
Provides: 	perl(NetSNMP::default_store)                                      
Provides: 	perl(NetSNMP::OID)  
Provides:	perl(SNMP)

%description
The Net::SNMP module implements an object oriented interface to the Simple
Network Management Protocol.  Perl applications can use the module to retrieve
or update information on a remote host using the SNMP protocol.  The module
supports SNMP version-1, SNMP version-2c (Community-Based SNMPv2), and SNMP
version-3.
The Net::SNMP module assumes that the user has a basic understanding of the
Simple Network Management Protocol and related network management concepts.

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/snmpkey
%{perl_vendorlib}/Net
%{_mandir}/*/*


%changelog
* Fri Sep 25 2009 Texstar <texstar at gmail.com>
- fix provides

* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update


